%define name    scan2pdf
%define version 0.1.4
%define rel	1
%define release	%mkrel %rel


Name:		%{name}     
Summary: 	 scan2pdf is a program to scan directly to a PDF file
Version: 	%{version}
Release:	%{release}
Source: 	http://home.fh-karlsruhe.de/~isda0011/%{name}-%{version}.tar.bz2
Group: 		Graphics
BuildRequires:  libgtkmm2.4_1-devel
URL: 		http://www.hijump.de.vu
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
Requires: 	libgtkmm2.4_1
Requires:	sane-backends
Requires:	libtiff-progs
Requires:	ImageMagick

%description
scan2pdf is a program to scan multiple pages in one PDF file.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_bindir}
install -m755 scan2pdf %{buildroot}%{_bindir}/scan2pdf

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="scan2pdf" needs="x11" title="scan2pdf" longtitle="scan directly in PDF file" section="Multimedia/Graphics"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog
%_bindir/*
%{_menudir}/%name

%changelog
* Sun Aug 28 2005 Benjamin Lisci <rpm@mandrivauser.de> 0.1.4-1mud
- rebuild for 2005LE

* Sun Aug 28 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.1.4-1mud
- 0.1.4

* Fri Aug 26 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.1.3-1mud
- 0.1.3
- added the docs

* Thu Aug 25 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.1.2-1mud
- 0.1.2
- change release tag

* Sun Aug 21 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.1.1-0.20050821.1mud
- 0.1.1

* Sat Aug 13 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.1-0.20050813.1mud
- initial Mandriva package
